<html>
<head>
<title>Ogre::QueuedRenderableCollection Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-types">Protected Types</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::QueuedRenderableCollection Class Reference<div class="ingroups"><a class="el" href="group__RenderSystem.html">RenderSystem</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::QueuedRenderableCollection" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Lowest level collection of renderables.  
 <a href="classOgre_1_1QueuedRenderableCollection.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::QueuedRenderableCollection:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1QueuedRenderableCollection__inherit__graph.gif" border="0" usemap="#Ogre_1_1QueuedRenderableCollection_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1QueuedRenderableCollection_inherit__map" id="Ogre_1_1QueuedRenderableCollection_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="53,5,184,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1QueuedRenderableCollection-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess.html">DepthSortDescendingLess</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Comparator to order objects by descending camera distance.  <a href="structOgre_1_1QueuedRenderableCollection_1_1DepthSortDescendingLess.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1PassGroupLess.html">PassGroupLess</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Comparator to order pass groups.  <a href="structOgre_1_1QueuedRenderableCollection_1_1PassGroupLess.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1RadixSortFunctorDistance.html">RadixSortFunctorDistance</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Functor for descending sort value 2 for radix sort (distance)  <a href="structOgre_1_1QueuedRenderableCollection_1_1RadixSortFunctorDistance.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1RadixSortFunctorPass.html">RadixSortFunctorPass</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Functor for accessing sort value 1 for radix sort (<a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a>)  <a href="structOgre_1_1QueuedRenderableCollection_1_1RadixSortFunctorPass.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844">OrganisationMode</a> { <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844a5cb7861265877a6f1f0a4b3508df7014">OM_PASS_GROUP</a> =  1, 
<a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844aaec5c102c9894feda331832a82738d72">OM_SORT_DESCENDING</a> =  2, 
<a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844a2cb722796eba6d25f8f7e8d7a4738241">OM_SORT_ASCENDING</a> =  6
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Organisation modes required for this collection.  <a href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#aef05cc3a16e4f6a83c2cbd8b4bec377b">QueuedRenderableCollection</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a46521c1079d0916430d29cc15900ec95">~QueuedRenderableCollection</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ae211c3c1661e84dc6c14c97c0ec26dc5">clear</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Empty the collection.  <a href="#ae211c3c1661e84dc6c14c97c0ec26dc5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#abc5558898bde744ffebf36421b7c9d9e">removePassGroup</a> (<a class="el" href="classOgre_1_1Pass.html">Pass</a> *p)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Remove the group entry (if any) for a given <a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a>.  <a href="#abc5558898bde744ffebf36421b7c9d9e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#afde7f8e139270c04158880ea90da71a0">resetOrganisationModes</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset the organisation modes required for this collection.  <a href="#afde7f8e139270c04158880ea90da71a0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a1f30f771db3b5dd9f520a3e17ff9e1bb">addOrganisationMode</a> (<a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844">OrganisationMode</a> om)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a required sorting / grouping mode to this collection when next used.  <a href="#a1f30f771db3b5dd9f520a3e17ff9e1bb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#aa6dfdb7b4aefd87f8446651846d00e8c">addRenderable</a> (<a class="el" href="classOgre_1_1Pass.html">Pass</a> *pass, <a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *rend)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Add a renderable to the collection using a given pass.  <a href="#aa6dfdb7b4aefd87f8446651846d00e8c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#aed4bb7796c9730f96dbd1197c97af40b">sort</a> (const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Perform any sorting that is required on this collection.  <a href="#aed4bb7796c9730f96dbd1197c97af40b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a9c83871d9b27e91a83900d4f5835879c">acceptVisitor</a> (<a class="el" href="classOgre_1_1QueuedRenderableVisitor.html">QueuedRenderableVisitor</a> *visitor, <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844">OrganisationMode</a> om) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Accept a visitor over the collection contents.  <a href="#a9c83871d9b27e91a83900d4f5835879c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a8fefa658106b7e61c4e779a93000485d">merge</a> (const <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> &amp;rhs)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Merge renderable collection.  <a href="#a8fefa658106b7e61c4e779a93000485d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-types"></a>
Protected Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a> &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a9239441cc0c454430284015703858880">RenderablePassList</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Vector of <a class="el" href="structOgre_1_1RenderablePass.html" title="Struct associating a single Pass with a single Renderable.">RenderablePass</a> objects, this is built on the assumption that vectors only ever increase in size, so even if we do <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ae211c3c1661e84dc6c14c97c0ec26dc5" title="Empty the collection.">clear()</a> the memory stays allocated, ie fast.  <a href="#a9239441cc0c454430284015703858880"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt; <a class="el" href="classOgre_1_1Renderable.html">Renderable</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a77c306b4e66120b36a90c5f937ab6364">RenderableList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt; <a class="el" href="classOgre_1_1Pass.html">Pass</a> <br class="typebreak"/>
*, <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a77c306b4e66120b36a90c5f937ab6364">RenderableList</a> <br class="typebreak"/>
*, <a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1PassGroupLess.html">PassGroupLess</a> &gt;::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ac86585dfee248854cbd3d84dbe3f36e5">PassGroupRenderableMap</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Map of pass to renderable lists, this is a grouping by pass.  <a href="#ac86585dfee248854cbd3d84dbe3f36e5"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a07ea37d2e24138cff538fd97224f2011">acceptVisitorGrouped</a> (<a class="el" href="classOgre_1_1QueuedRenderableVisitor.html">QueuedRenderableVisitor</a> *visitor) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal visitor implementation.  <a href="#a07ea37d2e24138cff538fd97224f2011"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a6cad91544a5a489e0ffab7ffb46a369b">acceptVisitorDescending</a> (<a class="el" href="classOgre_1_1QueuedRenderableVisitor.html">QueuedRenderableVisitor</a> *visitor) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal visitor implementation.  <a href="#a6cad91544a5a489e0ffab7ffb46a369b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a2bbcfb0e914241932fef6db9f8c163ab">acceptVisitorAscending</a> (<a class="el" href="classOgre_1_1QueuedRenderableVisitor.html">QueuedRenderableVisitor</a> *visitor) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal visitor implementation.  <a href="#a2bbcfb0e914241932fef6db9f8c163ab"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ae9a31d2cd0e88ce11ba006d04cb7ac0d">mOrganisationMode</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Bitmask of the organisation modes requested.  <a href="#ae9a31d2cd0e88ce11ba006d04cb7ac0d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ac86585dfee248854cbd3d84dbe3f36e5">PassGroupRenderableMap</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a3b34af9f4be41db1386d479720ce602e">mGrouped</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Grouped.  <a href="#a3b34af9f4be41db1386d479720ce602e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a9239441cc0c454430284015703858880">RenderablePassList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab800c1e93b112978e82e22f00046e3d1">mSortedDescending</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sorted descending (can iterate backwards to get ascending)  <a href="#ab800c1e93b112978e82e22f00046e3d1"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1RadixSort.html">RadixSort</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a9239441cc0c454430284015703858880">RenderablePassList</a>, <br class="typebreak"/>
<a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a>, <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a760cf336631fb24e6f6cc2fb45c850a1">msRadixSorter1</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Radix sorter for accessing sort value 1 (<a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a>)  <a href="#a760cf336631fb24e6f6cc2fb45c850a1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classOgre_1_1RadixSort.html">RadixSort</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a9239441cc0c454430284015703858880">RenderablePassList</a>, <br class="typebreak"/>
<a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a>, float &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ac4c356244366d78dccbc80a3125c4d36">msRadixSorter2</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Radix sorter for sort value 2 (distance)  <a href="#ac4c356244366d78dccbc80a3125c4d36"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Lowest level collection of renderables. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>To iterate over items in this collection, you must call the accept method and supply a <a class="el" href="classOgre_1_1QueuedRenderableVisitor.html" title="Visitor interface for items in a QueuedRenderableCollection.">QueuedRenderableVisitor</a>. The order of the iteration, and whether that iteration is over a <a class="el" href="structOgre_1_1RenderablePass.html" title="Struct associating a single Pass with a single Renderable.">RenderablePass</a> list or a 2-level grouped list which causes a visit call at the <a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a> level, and a call for each <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> underneath. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00113">113</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="ac86585dfee248854cbd3d84dbe3f36e5"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::PassGroupRenderableMap" ref="ac86585dfee248854cbd3d84dbe3f36e5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1map.html">map</a>&lt;<a class="el" href="classOgre_1_1Pass.html">Pass</a>*, <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a77c306b4e66120b36a90c5f937ab6364">RenderableList</a>*, <a class="el" href="structOgre_1_1QueuedRenderableCollection_1_1PassGroupLess.html">PassGroupLess</a>&gt;::type <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ac86585dfee248854cbd3d84dbe3f36e5">Ogre::QueuedRenderableCollection::PassGroupRenderableMap</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Map of pass to renderable lists, this is a grouping by pass. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00199">199</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a77c306b4e66120b36a90c5f937ab6364"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::RenderableList" ref="a77c306b4e66120b36a90c5f937ab6364" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="classOgre_1_1Renderable.html">Renderable</a>*&gt;::type <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a77c306b4e66120b36a90c5f937ab6364">Ogre::QueuedRenderableCollection::RenderableList</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00197">197</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9239441cc0c454430284015703858880"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::RenderablePassList" ref="a9239441cc0c454430284015703858880" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1vector.html">vector</a>&lt;<a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a>&gt;::type <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a9239441cc0c454430284015703858880">Ogre::QueuedRenderableCollection::RenderablePassList</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Vector of <a class="el" href="structOgre_1_1RenderablePass.html" title="Struct associating a single Pass with a single Renderable.">RenderablePass</a> objects, this is built on the assumption that vectors only ever increase in size, so even if we do <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ae211c3c1661e84dc6c14c97c0ec26dc5" title="Empty the collection.">clear()</a> the memory stays allocated, ie fast. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00196">196</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<hr/><h2>Member Enumeration Documentation</h2>
<a class="anchor" id="ab44ba16fe8e8c0247234d4e6edfae844"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::OrganisationMode" ref="ab44ba16fe8e8c0247234d4e6edfae844" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844">Ogre::QueuedRenderableCollection::OrganisationMode</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Organisation modes required for this collection. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This affects the internal placement of the items added to this collection; if only one type of sorting / grouping is to be required, then renderables can be stored only once, whilst if multiple types are going to be needed then internally there will be multiple organisations. Changing the organisation needs to be done when the collection is empty. </dd></dl>
<dl><dt><b>Enumerator: </b></dt><dd><table border="0" cellspacing="2" cellpadding="0">
<tr><td valign="top"><em><a class="anchor" id="ab44ba16fe8e8c0247234d4e6edfae844a5cb7861265877a6f1f0a4b3508df7014"></a><!-- doxytag: member="OM_PASS_GROUP" ref="ab44ba16fe8e8c0247234d4e6edfae844a5cb7861265877a6f1f0a4b3508df7014" args="" -->OM_PASS_GROUP</em>&nbsp;</td><td>
<p>Group by pass. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ab44ba16fe8e8c0247234d4e6edfae844aaec5c102c9894feda331832a82738d72"></a><!-- doxytag: member="OM_SORT_DESCENDING" ref="ab44ba16fe8e8c0247234d4e6edfae844aaec5c102c9894feda331832a82738d72" args="" -->OM_SORT_DESCENDING</em>&nbsp;</td><td>
<p>Sort descending camera distance. </p>
</td></tr>
<tr><td valign="top"><em><a class="anchor" id="ab44ba16fe8e8c0247234d4e6edfae844a2cb722796eba6d25f8f7e8d7a4738241"></a><!-- doxytag: member="OM_SORT_ASCENDING" ref="ab44ba16fe8e8c0247234d4e6edfae844a2cb722796eba6d25f8f7e8d7a4738241" args="" -->OM_SORT_ASCENDING</em>&nbsp;</td><td>
<p>Sort ascending camera distance Note value overlaps with descending since both use same sort. </p>
</td></tr>
</table>
</dd>
</dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00124">124</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aef05cc3a16e4f6a83c2cbd8b4bec377b"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::QueuedRenderableCollection" ref="aef05cc3a16e4f6a83c2cbd8b4bec377b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#aef05cc3a16e4f6a83c2cbd8b4bec377b">Ogre::QueuedRenderableCollection::QueuedRenderableCollection</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a46521c1079d0916430d29cc15900ec95"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::~QueuedRenderableCollection" ref="a46521c1079d0916430d29cc15900ec95" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a46521c1079d0916430d29cc15900ec95">Ogre::QueuedRenderableCollection::~QueuedRenderableCollection</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a9c83871d9b27e91a83900d4f5835879c"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::acceptVisitor" ref="a9c83871d9b27e91a83900d4f5835879c" args="(QueuedRenderableVisitor *visitor, OrganisationMode om) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a9c83871d9b27e91a83900d4f5835879c">Ogre::QueuedRenderableCollection::acceptVisitor</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1QueuedRenderableVisitor.html">QueuedRenderableVisitor</a> *&#160;</td>
          <td class="paramname"><em>visitor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844">OrganisationMode</a>&#160;</td>
          <td class="paramname"><em>om</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Accept a visitor over the collection contents. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">visitor</td><td>Visitor class which should be called back </td></tr>
    <tr><td class="paramname">om</td><td>The organisation mode which you want to iterate over. Note that this must have been included in an addOrganisationMode call before any renderables were added. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2bbcfb0e914241932fef6db9f8c163ab"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::acceptVisitorAscending" ref="a2bbcfb0e914241932fef6db9f8c163ab" args="(QueuedRenderableVisitor *visitor) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a2bbcfb0e914241932fef6db9f8c163ab">Ogre::QueuedRenderableCollection::acceptVisitorAscending</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1QueuedRenderableVisitor.html">QueuedRenderableVisitor</a> *&#160;</td>
          <td class="paramname"><em>visitor</em></td><td>)</td>
          <td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal visitor implementation. </p>

</div>
</div>
<a class="anchor" id="a6cad91544a5a489e0ffab7ffb46a369b"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::acceptVisitorDescending" ref="a6cad91544a5a489e0ffab7ffb46a369b" args="(QueuedRenderableVisitor *visitor) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a6cad91544a5a489e0ffab7ffb46a369b">Ogre::QueuedRenderableCollection::acceptVisitorDescending</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1QueuedRenderableVisitor.html">QueuedRenderableVisitor</a> *&#160;</td>
          <td class="paramname"><em>visitor</em></td><td>)</td>
          <td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal visitor implementation. </p>

</div>
</div>
<a class="anchor" id="a07ea37d2e24138cff538fd97224f2011"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::acceptVisitorGrouped" ref="a07ea37d2e24138cff538fd97224f2011" args="(QueuedRenderableVisitor *visitor) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a07ea37d2e24138cff538fd97224f2011">Ogre::QueuedRenderableCollection::acceptVisitorGrouped</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1QueuedRenderableVisitor.html">QueuedRenderableVisitor</a> *&#160;</td>
          <td class="paramname"><em>visitor</em></td><td>)</td>
          <td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal visitor implementation. </p>

</div>
</div>
<a class="anchor" id="a1f30f771db3b5dd9f520a3e17ff9e1bb"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::addOrganisationMode" ref="a1f30f771db3b5dd9f520a3e17ff9e1bb" args="(OrganisationMode om)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a1f30f771db3b5dd9f520a3e17ff9e1bb">Ogre::QueuedRenderableCollection::addOrganisationMode</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844">OrganisationMode</a>&#160;</td>
          <td class="paramname"><em>om</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a required sorting / grouping mode to this collection when next used. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You can only do this when the collection is empty. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844" title="Organisation modes required for this collection.">OrganisationMode</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00278">278</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa6dfdb7b4aefd87f8446651846d00e8c"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::addRenderable" ref="aa6dfdb7b4aefd87f8446651846d00e8c" args="(Pass *pass, Renderable *rend)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#aa6dfdb7b4aefd87f8446651846d00e8c">Ogre::QueuedRenderableCollection::addRenderable</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Pass.html">Pass</a> *&#160;</td>
          <td class="paramname"><em>pass</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&#160;</td>
          <td class="paramname"><em>rend</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Add a renderable to the collection using a given pass. </p>

</div>
</div>
<a class="anchor" id="ae211c3c1661e84dc6c14c97c0ec26dc5"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::clear" ref="ae211c3c1661e84dc6c14c97c0ec26dc5" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ae211c3c1661e84dc6c14c97c0ec26dc5">Ogre::QueuedRenderableCollection::clear</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Empty the collection. </p>

</div>
</div>
<a class="anchor" id="a8fefa658106b7e61c4e779a93000485d"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::merge" ref="a8fefa658106b7e61c4e779a93000485d" args="(const QueuedRenderableCollection &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a8fefa658106b7e61c4e779a93000485d">Ogre::QueuedRenderableCollection::merge</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1QueuedRenderableCollection.html">QueuedRenderableCollection</a> &amp;&#160;</td>
          <td class="paramname"><em>rhs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Merge renderable collection. </p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="abc5558898bde744ffebf36421b7c9d9e"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::removePassGroup" ref="abc5558898bde744ffebf36421b7c9d9e" args="(Pass *p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#abc5558898bde744ffebf36421b7c9d9e">Ogre::QueuedRenderableCollection::removePassGroup</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Pass.html">Pass</a> *&#160;</td>
          <td class="paramname"><em>p</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Remove the group entry (if any) for a given <a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a>. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>To be used when a pass is destroyed, such that any grouping level for it becomes useless. </dd></dl>

</div>
</div>
<a class="anchor" id="afde7f8e139270c04158880ea90da71a0"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::resetOrganisationModes" ref="afde7f8e139270c04158880ea90da71a0" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#afde7f8e139270c04158880ea90da71a0">Ogre::QueuedRenderableCollection::resetOrganisationModes</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Reset the organisation modes required for this collection. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You can only do this when the collection is empty. </dd></dl>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab44ba16fe8e8c0247234d4e6edfae844" title="Organisation modes required for this collection.">OrganisationMode</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00268">268</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="aed4bb7796c9730f96dbd1197c97af40b"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::sort" ref="aed4bb7796c9730f96dbd1197c97af40b" args="(const Camera *cam)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#aed4bb7796c9730f96dbd1197c97af40b">Ogre::QueuedRenderableCollection::sort</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>cam</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Perform any sorting that is required on this collection. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">cam</td><td>The camera </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a3b34af9f4be41db1386d479720ce602e"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::mGrouped" ref="a3b34af9f4be41db1386d479720ce602e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ac86585dfee248854cbd3d84dbe3f36e5">PassGroupRenderableMap</a> <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a3b34af9f4be41db1386d479720ce602e">Ogre::QueuedRenderableCollection::mGrouped</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Grouped. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00238">238</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae9a31d2cd0e88ce11ba006d04cb7ac0d"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::mOrganisationMode" ref="ae9a31d2cd0e88ce11ba006d04cb7ac0d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a119732ea9d1e88bbddc47b4ac0fa21cb">uint8</a> <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ae9a31d2cd0e88ce11ba006d04cb7ac0d">Ogre::QueuedRenderableCollection::mOrganisationMode</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Bitmask of the organisation modes requested. </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00235">235</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab800c1e93b112978e82e22f00046e3d1"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::mSortedDescending" ref="ab800c1e93b112978e82e22f00046e3d1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a9239441cc0c454430284015703858880">RenderablePassList</a> <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ab800c1e93b112978e82e22f00046e3d1">Ogre::QueuedRenderableCollection::mSortedDescending</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sorted descending (can iterate backwards to get ascending) </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00240">240</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="a760cf336631fb24e6f6cc2fb45c850a1"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::msRadixSorter1" ref="a760cf336631fb24e6f6cc2fb45c850a1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RadixSort.html">RadixSort</a>&lt;<a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a9239441cc0c454430284015703858880">RenderablePassList</a>, <a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a>, <a class="el" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a>&gt; <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a760cf336631fb24e6f6cc2fb45c850a1">Ogre::QueuedRenderableCollection::msRadixSorter1</a><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Radix sorter for accessing sort value 1 (<a class="el" href="classOgre_1_1Pass.html" title="Class defining a single pass of a Technique (of a Material), i.e.">Pass</a>) </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00211">211</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4c356244366d78dccbc80a3125c4d36"></a><!-- doxytag: member="Ogre::QueuedRenderableCollection::msRadixSorter2" ref="ac4c356244366d78dccbc80a3125c4d36" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RadixSort.html">RadixSort</a>&lt;<a class="el" href="classOgre_1_1QueuedRenderableCollection.html#a9239441cc0c454430284015703858880">RenderablePassList</a>, <a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a>, float&gt; <a class="el" href="classOgre_1_1QueuedRenderableCollection.html#ac4c356244366d78dccbc80a3125c4d36">Ogre::QueuedRenderableCollection::msRadixSorter2</a><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Radix sorter for sort value 2 (distance) </p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html#l00232">232</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderQueueSortingGrouping_8h_source.html">OgreRenderQueueSortingGrouping.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:03
</p>
</body>
</html>
